"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.webpackArgsWithDefaults = exports.isServe = void 0;
const webpack_merge_1 = require("webpack-merge");
const path_1 = __importDefault(require("path"));
function isMode(str) {
    return ['development', 'production', 'none', undefined].includes(str);
}
function isServe(args) {
    return Boolean(args?.env?.WEBPACK_SERVE);
}
exports.isServe = isServe;
function webpackArgsWithDefaults(args, ...more) {
    const cwd = process.cwd();
    return (0, webpack_merge_1.merge)({
        entry: path_1.default.join(cwd, 'src', 'index.js'),
        env: {},
        nodeEnv: process.env.NODE_ENV ?? args.mode ?? 'production',
        outputPath: path_1.default.join(cwd, 'dist'),
        watch: false,
        watchOptionsStdin: false,
        hot: false,
        mode: isMode(process.env.NODE_ENV) && process.env.NODE_ENV
            ? process.env.NODE_ENV
            : 'production',
        mainProcessLiveReload: true,
        devServerPort: 4242,
        analyze: ['1', 'true'].includes(process.env.ANALYZE),
        cwd,
        coverage: process.env.COVERAGE || undefined,
    }, args, ...more);
}
exports.webpackArgsWithDefaults = webpackArgsWithDefaults;
//# sourceMappingURL=args.js.map